#
# spec file for package gap-gapdoc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-gapdoc
Summary:        GAP: package for GAP Documentation
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        1.6.1
Release:        lp150.1.1
Url:            http://www.math.rwth-aachen.de/~Frank.Luebeck/GAPDoc/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/GAPDoc-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7.6
Suggests:       gap-io >= 2.3

%description
This package contains a definition of a structure for GAP (package)
documentation, based on XML. It also contains conversion programs for
producing text, PDF or HTML versions of such documents, with
hyperlinks, if possible.

%prep
%setup -qn GAPDoc-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 1.6.1
  * Slightly nicer display of header lines of ManSection's with
    long names and/or long argument lists.
  * Added an element <Constr> to be used in ManSection's on
    constructors.
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 1.6
  * Changed and documented the handling of <Alt Only="LaTeX">
    elements; its content is not reformatted.
  * Can now handle help books with empty bibliography.
  * Introduce finer distinction of <Alt>-elements for HTML
    with/without MathJax.
  * 'StringBibXMLEntry' supports now a 'rec(MathJax := true)'
    option.
  * Added a new utility function 'InitialSubstringUTF8String'.
  * 'NormalizedNameAndKey' can now find initials from UTF-8
    encoded name strings.
  * New function 'LabelsFromBibTeX'. If BibTeX is available this
    is used to unify the labels used for citations and the
    ordering of the reference list in the LaTeX, text and HTML
    version of a GAPDoc document.
  * Recognize document encoding in <?xml tag and in some other
    places case insensitively.
* Fri May 10 2013 jengelh@inai.de
- Split gapdoc (version 1.5.1) off the gap RPM package
